# vim: set sw=4 ts=4 et nu:

Name:               ncdc
Version:            0.9
Release:            0.pm.2.1
Summary:            Lightweight Direct Connect Client
Source:             http://dev.yorhel.nl/download/ncdc-%{version}.tar.gz
Source1:            ncdc.desktop
Patch1:             ncdc-remove_build_date.patch
Patch2:             ncdc-fix_missing_includes.patch
URL:                http://dev.yorhel.nl/ncdc
Group:              Productivity/Networking/Other
License:            MIT License
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      ncurses-devel
BuildRequires:      libbz2-devel
BuildRequires:      glib2-devel
BuildRequires:      libxml2-devel
BuildRequires:      gdbm-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
Ncdc is a modern and lightweight direct connect client with a friendly ncurses
interface. 

%prep
%setup -q
%patch1
%patch2

%build
export SUSE_ASNEEDED=0
%configure
%__make %{?_smp_flags} V=1

%install
%makeinstall

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Network FileTransfer

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/ncdc
%{_bindir}/ncdc-gen-cert
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Sep  3 2011 pascal.bleser@opensuse.org
- update to 0.9:
  * added TLS support (adcs://, nmdcs://, and ADC client-to-client)
  * added tls_policy setting
  * added KEYP support for ADC
  * added warning when a hub changes TLS certificate
  * display exact listen ports when enabling active mode
* Fri Aug 26 2011 pascal.bleser@opensuse.org
- update to 0.8:
  * adds transfer logging
  * adds common readline keys for text input
  * adds day changed indicators in the log window
  * improved support for join messages
  * improved log rotation
* Wed Aug 17 2011 pascal.bleser@opensuse.org
- update to 0.7:
  * added word wrapping for the log window
  * added basic colors and nick highlighting to the log window
  * allow colors to be changed with the /set command
  * added backlog feature and setting
  * added silent building to the configure script
  * automatically re-open log files when they are moved/truncated externally
  * accept 'nmdc://' URLs as alternative to 'dchub://'
  * fixed spamming of useless $MyINFO and BINF commands every 5 minutes
  * fixed minor memory leak when closing/clearing the log window
* Tue Aug  9 2011 pascal.bleser@opensuse.org
- update to 0.6:
  * added file searching, through a /search command
  * added tab to display the search results
  * listen for incoming messages on UDP in active mode
  * allow specifying a hub address with /open
  * fixed case-sensitivity of shared files
  * various bugfixes and other improvements
* Wed Aug  3 2011 pascal.bleser@opensuse.org
- update to 0.5:
  * downloaded files are now TTH-checked
  * added download queue priorities
  * download queue items are automatically disabled on error
  * improved error handling and reporting for downloads
  * added download_slots setting
  * use a separate thread to load other users' file list
  * improved /gc to also clean up download queue related data
  * decreased memory usage for large file lists
  * improved error handling with sendfile()
  * fixed downloading in passive mode on ADC hubs
  * fixed adding a dir to the download queue while connected to the user
  * fixed segfault when the userlist is open while disconnecting from a hub
* Sat Jul 23 2011 pascal.bleser@opensuse.org
- update to 0.4:
  * single-source file downloading support
  * persistent download queue
  * improved connection manager
  * fixes a few crashes and other bugs
* Thu Jul 21 2011 pascal.bleser@opensuse.org
- update to 0.3:
  * added file list browser
  * added downloading of other people's file list
  * added 'hubname' setting to rename hub tabs
  * added -v, -c and -n commandline options
  * added -n option to /open to prevent an autoconnect
  * added referer notification
  * improved handling of some ADC commands
  * improved logging of debug messages
  * fixed error when uploading an empty file list
  * fixed display of join/quits on ADC hubs
  * fixed several crashes
- changes from 0.2:
  * ADC support
  * added slot granting and /grant command
  * added /kick (for NMDC hubs)
  * added /pm and /nick aliasses
  * added support for passworded login
  * added /me command (mostly useful for ADC hubs)
  * added /whois command
  * added 'share_hidden' option (default: false)
  * improved minislots support
  * added 'minislots' and 'minislot_size' options
  * slightly improved user list and connection list
  * /set displays default values for unset options
* Wed Jun 22 2011 pascal.bleser@opensuse.org
- initial version (0.1)
